# ezQuake Manual: Texture Settings Variables

## d_mipcap

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | High texture detail.
1 | Medium texture detail.
2 | Low texture detail.
3 | Minimum texture detail.

## d_mipscale

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
0 | Full object detail
1 | Some object detail
2 | Medium object detail
3 | Low object detail

## d_subdiv16

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Perspective correction only every 16 pixels (faster, less accurate).
0 | Precise texture mapping (slower, more accurate).

## gl_externalTextures_bmodels

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Enable
0 | Disable loading of external 24bit textures for

non-world .bsp models (any .bsp that isn't the actual map. Ex. health and ammo boxes).

## gl_externalTextures_world

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Enable.
0 | Disable loading of external 24bit textures for the

world .bsp model (i.e. the actual map).

## gl_ext_texture_compression

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Enable reduce memory held by textures on cards that support it (but
0 | Disable.

textures loaded slower and may have less quality).

## gl_lerpimages

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Better texture quality.
0 | Faster loading maps (not more fps).

## gl_lumaTextures

### Description

Turns using of luma textures (named *_luma) ON when set to 1 and allowed by server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## gl_max_size

### Description

This variable determines the detail level for loaded textures. When set to "1", the objects and walls will be textured with 1x1 pixel textures.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 4096

Variable is float.

## gl_miptexLevel

### Description

It is essentially a GL 'equivalent' to d_mipcap in software. It has no affect when loading external 24bit textures.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## gl_picmip

### Description

This variable determines the the level of detail for textures used on walls. You can use this variable to lower the texture detail used on walls thus increasing the game's performance.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Original size.
1 | Half the dimensions.
2 | One-fourth the dimensions.

X = etc..

## gl_playermip

### Description

Determines the level of detail of player models. This variable is useful if you are experience game slowdown during multiplayer games when there are lots of players on your screen by shrinking the texture detail, but this will make the player models more blurry.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Full detail.
1 | Medium detail.
2 | Low detail.

X = etc.

## gl_scaleModelTextures

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Enable
0 | Disable scale model textures.

## gl_scaleTurbTextures

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Enable.
0 | Disable gl_picmip/gl_max_size/gl_miptexLevel affect turb textures (lava, water, slime, teleports).

## gl_subdivide_size

### Description

This variable sets the division value for the sky brushes. The higher the value the better the performance, but the smoothness of the sky suffers.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 128

Variable is float.

## gl_texturemode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: GL_LINEAR_MIPMAP_NEAREST

### Values

value | description
GL_NEAREST | Point sampled
GL_NEAREST_MIPMAP_NEAREST |
GL_LINEAR |
GL_LINEAR_MIPMAP_NEAREST |
GL_LINEAR_MIPMAP_LINEAR | Trilinear interpolation

## r_drawflat

### Description

Disables textures and fills them with a color (/r_wallcolor or /r_floorcolor) depending on the angle.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Walls are single-coloured
0 | Walls with standard textures

See r_wallcolor and r_floorcolor.

## r_floorcolor

### Description

Changes color of floors and ceilings when r_drawflat is set to 1. Enter RGB value here, e.g. r_floorcolor "128 128 128" goes for gray floor.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 50 100 150

Variable is float.

## r_max_size_1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Off.
1 | Blend map textures.
2 | Blend map textures and bsp entities (ammo, health etc.)

## r_wallcolor

### Description

Changes color of walls when r_drawflat is set to 1. Enter RGB value here, e.g. r_wallcolor "128 128 128" goes for gray walls.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 255 255 255

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz